LinuxQuestions.org
LinuxAnswers - the LQ Linux tutorial section.
Go Back   LinuxQuestions.org > Forums > Other *NIX Forums > AIX
User Name
Password
AIX This forum is for the discussion of IBM AIX.
eserver and other IBM related questions are also on topic.

Notices



Reply
 
Search this Thread
Old 03-14-2006, 08:51 AM   #1
shweta pandey
LQ Newbie
 
Registered: Mar 2006
Posts: 3

Rep: Reputation: 0
Trouble installing openssh4.1p1 on AIX5.1


Hi I have an AIX5.1 m/c with ML04 and I wasnt able to install openssh4.1p1 on it. The prerequisites were as follows:
zlib-1.2.2-4
prngd-0.9.29-1
openssl-0.9.7g-1
While installing openssh4.1p1 through smitty it gives following errors:
sysck: 3001-022 The file
/.ssh/prng_seed
was not found.
sysck: 3001-017 Errors were detected validating the files
for package openssh.base.server.

0503-464 installp: The installation has FAILED for the "root" part
of the following filesets:
openssh.base.server 4.1.0.1

installp: Cleaning up software for:
openssh.base.server 4.1.0.1

I also observed if I manually create an empty file /.ssh/prng_seed the installation is successfull but then I dont see any entry in the /etc/services file for ssh and I am unable to start the sshd daemon.

Last edited by shweta pandey; 03-14-2006 at 08:52 AM.
 
Old 03-14-2006, 01:45 PM   #2
critical_section
LQ Newbie
 
Registered: Mar 2006
Posts: 4

Rep: Reputation: 0
did you remove any existing version before you installed it?
Why don't you grab the source and build it to your liking?
I think 4.2.1 supports password changing upon login, where 4.1.0.1 does not. I requires the same prereqs that you name, and I've built it with no problem.
Actually if you have an FTP site I can drop the install/TAR file there for you to untar on your server.

Cheers,
Christoble
 
Old 10-21-2006, 08:51 PM   #3
rahil_12inin
LQ Newbie
 
Registered: Oct 2006
Posts: 1

Rep: Reputation: 0
HI, trouble installing openssh

I was trin to install openssh, and having the same problem as shwetha.can u plz help me out . or can u plz forward me hte sourse code for openssh u have.
will really appriciate ur help
 
Old 10-23-2006, 07:49 AM   #4
tcort
LQ Newbie
 
Registered: Jul 2006
Location: Williamstown, VT, USA
Distribution: Gentoo
Posts: 12

Rep: Reputation: 0
Quote:
Originally Posted by shweta pandey
Hi I have an AIX5.1 m/c with ML04 and I wasnt able to install openssh4.1p1 on it. The prerequisites were as follows:
zlib-1.2.2-4
prngd-0.9.29-1
openssl-0.9.7g-1
It is a good thing that it failed

zlib 1.2.2 security advisories:
http://www.kb.cert.org/vuls/id/680620
http://www.kb.cert.org/vuls/id/238678

openssl security advisories:
http://www.openssl.org/news/secadv_20060905.txt

Whenever you install software which is that out of date and allows remote access, it is important to check if there are any security problems associated with running it. My suggestion would be to build those apps from source. If you need a compiler, IBM has binaries for GCC at the following URL:
http://www-03.ibm.com/servers/aix/pr.../download.html
 
Old 10-23-2006, 07:51 AM   #5
tcort
LQ Newbie
 
Registered: Jul 2006
Location: Williamstown, VT, USA
Distribution: Gentoo
Posts: 12

Rep: Reputation: 0
Quote:
Originally Posted by rahil_12inin
I was trin to install openssh, and having the same problem as shwetha.can u plz help me out . or can u plz forward me hte sourse code for openssh u have.
will really appriciate ur help
http://www.zlib.net/
http://www.openssl.org/source/
ftp://ftp.ca.openbsd.org/pub/OpenBSD/OpenSSH/portable/
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
SSH daemon under AIX5 NOTORIOUS VR AIX 13 03-11-2005 02:23 PM
TCP/IP Printservers under AIX5? NOTORIOUS VR AIX 2 02-18-2005 09:14 AM
ssh 3.9.1p1 rpm? jjohnston62 Red Hat 0 09-02-2004 11:32 PM
Does AIX5.2 use crypt or md5 synthol6 AIX 1 07-26-2004 09:08 AM
need help upgrading openssh 3.7.1p1.*rpm joesbox Linux - Security 7 03-16-2004 09:27 PM


All times are GMT -5. The time now is 05:33 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration